# Game of QR

Conway's Game of Life, but for testing what happens if you start with a qr code (or similar).

## Usage

Serve index.html using HTTP (file-URLs won't work because Firefox refuses to run scripts using ImageData from local files), e.g.:

```
python3 -m http.server
```

(This assumes you are in the directory of the cloned repository.)

Open the site (usually `http://localhost:8000` for the above example) in your browser and append the name of the seed image as the URL fragment, e.g.: `http://localhost:8000#qrcode.png`

This repository provides to seed images:

* `qrcode.png`: A QR code containing the Wikipedia abstract for Conway's Game of Life
* `glider.png`: [The "glider" pattern](https://en.wikipedia.org/wiki/Glider_%28Conway's_Game_of_Life%29)
